boost::logging Namespace Reference

## Classes

class | rdLogger

## Typedefs

typedef boost::iostreams::tee_device< std::ostream, std::ostream > | RDTee
typedef boost::iostreams::stream< RDTee > | RDTeeStream

## Functions

RDKIT_RDGENERAL_EXPORT void | enable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | enable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT void | disable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | disable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT std::string | log_status ()

## Typedef Documentation

## RDTee

typedef boost::iostreams::tee_device<std::ostream, std::ostream> boost::logging::RDTee

Definition at line 25 of file RDLog.h.

## RDTeeStream

typedef boost::iostreams::stream<RDTee> boost::logging::RDTeeStream

Definition at line 26 of file RDLog.h.

## Function Documentation

## disable_logs() [1/2]

RDKIT_RDGENERAL_EXPORT void boost::logging::disable_logs | ( | const char * | arg | ) |

## disable_logs() [2/2]

RDKIT_RDGENERAL_EXPORT void boost::logging::disable_logs | ( | const std::string & | arg | ) |

## enable_logs() [1/2]

RDKIT_RDGENERAL_EXPORT void boost::logging::enable_logs | ( | const char * | arg | ) |

## enable_logs() [2/2]

RDKIT_RDGENERAL_EXPORT void boost::logging::enable_logs | ( | const std::string & | arg | ) |

## log_status()

RDKIT_RDGENERAL_EXPORT std::string boost::logging::log_status | ( |  | ) |